MediaWiki:Gadget-VehicleTable.css

From Disney•Pixar CARS Wiki
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Press Ctrl-F5.
/* Table and/or wrapper. Unify? */
.dc-table .cargoTable {
	border: 0;
	margin-top: 0 !important;
}
.dc-table .cargoTable tr,
.dc-table .cargoTable tbody {
	height: 100%;
}
.dc-table .cargoTable small {
	font-size: 11px;
	color: #5b5454;
}
/* https://stackoverflow.com/questions/3215553/make-a-div-fill-an-entire-table-cell/56913789#56913789
// @TODO change all relevant "dc-table" inherits to a universal flex-trick class */
.dc-table table,
table.merch-table, div.merch-table table {
	height: 1px;
}
.mw-special-CargoTables tr:not(:first-of-type),
td.field_Series, td.field_Segment, td.field_First_release,
td.field_Series > div {
	height: 100%;
	min-height: 45px;
}

/* Masthead nav */
#release-counter {
	text-align: center;
}
.vdb-masthead-item {
	display: flex;
	justify-content: center;
}
#vdb-helplinks {
	gap: 20px;
}
/* @TODO better construction in {{vehicle table head}} */
#vdb-helplinks > .notif-help {
	white-space: nowrap;
	width: max-content;
	padding-left: 24px;
	background-position: left;
}
#vdb-helpkey-wrapper {
	display: flex;
	gap: 10px;
	font-size: 12px;
}
.series-key-parts,
.series-key-types > table {
	margin: 10px 0 0;
}
.series-key-num {
	font-style: italic;
}
.series-key-parts-labels {
	width: 125px;
	display: flex;
	text-align: center;
}
.series-key-types > table > caption {
	color: #fff;
}
.series-key-types > table > tbody > tr > td:first-of-type {
	width: 15px;
}
#vdb-filters {
	flex-direction: column;
	align-items: center;
	gap: 4px;
}
#vdb-filters .oo-ui-fieldsetLayout-group,
#vdb-filters > fieldset.oo-ui-fieldsetLayout {
	display: flex;
	margin: 0;
}
#vdb-filters .oo-ui-fieldsetLayout-header {
	padding-top: 1px;
	margin-right: 5px;
	font-size: 12px;
}
#vdb-filters .oo-ui-fieldLayout.oo-ui-fieldLayout-align-inline {
	margin: 0;
}
#vdb-filters .oo-ui-fieldLayout-header
/* aka fieldset > legend */ {
	padding-right: 15px;
	white-space: nowrap;
}
.checkboxLabel > t {
	margin-left: 6px;
}

/* cells */
.field_Image.headerSort,
.field_Photo.headerSort,
.field_Notes.headerSort,
.field_Loose_photo.headerSort,
.field_Carded_photo.headerSort {
	pointer-events: none;
	padding: 0.2em 0.4em !important;
	background-image: none !important;
}
td.field_Photo {
	padding: 8px !important;
	min-width: 110px;
}

/* unsortable Cargo color fix 
.field_Loose_Photo,
.field_Notes {
	background-color: #eaeeff;
	border: 1px solid #a2a9b1;
} */

/* combine */
td.field_Photo img,
.series-cardbacks img {
	background-color: #fff;
	border: 1px solid #ddd;
	border-radius: 4px;
	padding: 4px;
}

.field_Year a {
	color: #000 !important;
}
/* make global w/ style */
.M_2006 {background-color:#fdd8bb; color:black;}
.M_2007 {background-color:#373bae; color:white;}
.M_2008 {background-color:#fd591d; color:black;}
.M_2009 {background-color:#4f8c3d; color:white;}
.M_2010 {background-color:#066ea2; color:white;}
.M_2011,
.M_2012 {background-color:#55aaff; color:white;}
.M_2013 {background-color:#fefefe; color:#000}
.M_2014 {background-color:#fefefe; color:red}
.M_2015,
.M_2016,
.M_2017 {background-color:#a11a14; color:#fff}
.M_2018 {background-color:#a96546; color:white;}
.M_2019,
.M_2020 {background-color:#76bfec; color:white }
.M_2021 {background-color:#f4e389; color:white }
.M_2022,
.M_2023,
.M_2024,
.M_2025,
.M_2026 {background-color:#9c2321; color:white} /*#b12223*/
/* Link color corrections */
.M_2006 a, .M_2008 a, .M_2013 a, .M_2014 a {
	color: #000;
}
.M_2007 a, .M_2009 a, .M_2010 a, .M_2011 a, .M_2012 a, .M_2015 a, .M_2016 a,
.M_2017 a, .M_2018 a, .M_2019 a, .M_2020 a, .M_2021 a, .M_2022 a, .M_2023 a,
.M_2024 a, .M_2025 a, .M_2026 a {
	color: #fff;
}

/* key cells (series, segment, first release, etc.) */
td.field_Series,
td.field_Series_No,
td.field_First_release {
	background-color: #000;	
}
/* revert importants once moved */
tr > td.field_Series,
td.field_Segment,
td.field_Series_No,
td.field_First_release {
	padding: 1px !important;
	max-width: 180px;
	height: 100%;
}
td.field_Series {
	min-width: 120px !important;
}
.mainline-year, .M-year /* check */ {
	font-size: 70%;
	margin-top: -5px;
}
.series-cell {
	flex-direction: column;
	min-height: 100%;
	text-align: center;
}
.m-col-name {
	min-width: max-content;
}
.series-cell.m-col-name a {
	margin-left: 30%;
}
.series-cell-unreleased {
	background:#808080;
	flex-direction: column;
}
.series-cell-unrecognized,
.series-Unknown {
	background: #D3D3D3
	/* 	background-color: #aaa; */
}
/* Mini Racers */
.MR-series {
	display: flex;
	height: 100%;
	font-weight: bold;
}
.MR-series-info {
	background-color: #fff;
	text-align: center;
	width: 100%;
	height: 100%;
}

/* if not "Series Number" column then unused */
#MR-series > * {
  display: flex;
  align-items: center;
  justify-content: center;
}
#MR-series > span {
	background-color: black;
	width:40%;
}
#MR-seriesno {
	margin: 0 auto;
	font-size: 12px;
/*	color: white; */
	/* text-shadow: -1px 1px 0 #000,1px 1px 0 #000,1px -1px 0 #000,-1px -1px 0 #000; */
}

/* cardbacks JS */
.field_Series .tippy-box {
	max-width: none !important;
	background: #000;
}
.field_Series .tippy-content {
	padding: 1px;
}
.field_Series .cardholder-table td,
.field_Series .cardholder-table tr {
	text-align: left;
	padding: 1px;
	border: 0;
	background: #000;
}
.cardholder-table {
	padding: 2px;
	border-spacing: 0;
}
.cardholder-label { padding-left: 2px }
.cardholder-body { white-space: nowrap; }
.cardback-tooltip-contents {
	display: flex;
	color: #fff !important;
  justify-content: center;
}
.card-slot-body {
	display: flex;
	border: 1px solid gray;
	background: #fff;
	padding: 4px;
	gap: 4px;
}

/* SEGMENT */
td.field_Segment {
	padding: 5px !important;
}
.segment-block {
	width: 15%;
	min-width: 24px;
	padding-left: 4px;
}
.segment-block > div {
	width: 20px;
	height: 15px;
	border: 1px solid black; 
}
.segment-title {
	width:85%;
}
.dc-country {
	display: flex;
	flex-direction: column;
}
.dc-country-flag {
	margin-top: -8px;
}
.field_Notes {max-width:18%}
.field_Notes div:not(:first-of-type) ul {
	margin-top: 0;
}
.field_Notes.headerSort {min-width: 250px;}
.field_Notes li {
	list-style: disc;
}
/* Labels / markers */
.chase_C, .chase_CP {
	background-color: #D0312D;
	color: #fff;
}
/* {{label}} */
.vdb-label {
	border-radius: 1em;
	padding: 1px 5px;
	font-weight: bold;
}
#label_NEW {background:#f0e153; color:#b0490b;}
#label_VAR {background:red; color:#fff;}
#label_NTS {background:purple; color:#fff;}
#label_NA {background:gray; color:#fff;}
#label_ACC {background:blue; color:#fff;}
span.new-release {
	background:#f0e153;
	border-radius:1em;
	padding:1px 5px;
	color:#b0490b;
	font-weight:bold;
}
.field_Edit {
	background: #fff !important;
	border: 0 !important;
	min-width: 40px;
}
.field_First_release {
	padding: 0;
}

/* parse failsafes */
.field_Notes > p,
#dc-notes > div + p,
th.field_Edit > p,
.field_Edit > span + p,
#dc-edit > span ~ p,
.field__pageID,
.cardholder > p,
/* misc. */
.mw-category-group>ul>li>a>span[type="Vehicle:"],
#unreleased-list h3,
/* situational exceptions */
.field_Edit.headerSort,
.field_Year + .field_Series .mainline-year,
#chase-list #chase-noteblock,
#chase-list #label-chase,
/* card blocks in cases */
.cards-true .case-card-intl,
.cards-false .case-card-main,
.filter-unchecked,
/* series list - config options */
.dc-table.hide-edit-shortcut td.field_Edit,
.no-unreleased-bullets #series-unreleased-text,
.dc-table.hide-table-header thead > tr {
	display: none !important;
}
.filter-checked {
	display: table-row;
}
/* "Series list" specific */
/* might want to give .dc-table div */
#list-series {
	margin-bottom: 10px;
}
.dc-table.hide-table-header .series-spacer,
.dc-table.hide-table-header#list-series /* current setup for that is not optimal */ {
	margin-top: 0 !important; /* default value is inline, fix */
	margin-bottom: 0 !important; /* default value is inline, fix */
}
/* not used yet - stylized 2013-17 page tables */
.theme-segment-table .theme-segment-logo img {
	margin: -15px -20px;
}
.theme-segment-table #list-series, 
.theme-segment-table .series-spacer {
	margin: 0 !important;
}
.series-list-cardbacks {
	gap: 5px;
}
.dc-tabber .tabber__header,
.dc-tabber .tabber__section {
	scroll-behavior: initial !important;
}
.tabber__header {
	width: min-content;
	margin: 0 auto;
	display: flex;
	flex-direction: row;
	align-items: flex-end;
}
#international-listing .tabber__tabs {
	width: min-content;
}
#international-listing .tabber__tab {
	background-size: 40px;
	background-repeat: no-repeat;
	background-position: top center;
	padding-top: 30px;
	padding-bottom: 0;
	margin: 0 10px;
}
#international-listing #tab-tabber-US {background-image: url(/images/7/78/Flag_of_Usa.png);}
#international-listing #tab-tabber-INTL {background-image: url(/images/8/85/English_Flag.png);}

/* List of diecasts by collector number */
/* failsafe */
#colno_021, #colno_022, #colno_059 {
	background: none !important;
	color: #000;
}
.postponed,
#colno_076, #colno_078,
#no_C1_MS #colno_015,
#no_C1_MS #colno_022,
#no_CT #colno_044 {
	background-color: #6960EC;
	color: white;
}
.unreleased,
#colno_092, #colno_105, #colno_132,
#no_C1_TT #colno_012,
#no_C1_TT #colno_021,
#no_C1_TT #colno_022,
#no_C1_TT #colno_023,
#no_CT #colno_025,
#no_CT #colno_026 {
	background-color: #808080; color: white;
}
.colnumlist tr > td:first-of-type {
	padding: 0;
	height: 1px;
}
.colnumlist tr > td:first-of-type > div {
	height: 100%;
	align-content: center;
}

/* {{list of appearances}} */
.dc-appearance-wrapper .mw-selflink .mw-ui-button {
	background: #d13543;
	color: white;
}